Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGColor

All Superinterfaces:
  CSSValue

All Known Subinterfaces:
  SVGPaint

public interface SVGColor
extends CSSValue

Field Summary
`static short` | `SVG_COLORTYPE_CURRENTCOLOR`
`static short` | `SVG_COLORTYPE_RGBCOLOR`
`static short` | `SVG_COLORTYPE_RGBCOLOR_ICCCOLOR`
`static short` | `SVG_COLORTYPE_UNKNOWN`

Fields inherited from interface org.w3c.dom.css.CSSValue
`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

Method Summary
`short` | `getColorType()`
`SVGICCColor` | `getICCColor()`
`RGBColor` | `getRGBColor()`
`void` | `setColor(short colorType, java.lang.String rgbColor, java.lang.String iccColor)`
`void` | `setRGBColor(java.lang.String rgbColor)`
`void` | `setRGBColorICCColor(java.lang.String rgbColor, java.lang.String iccColor)`

Methods inherited from interface org.w3c.dom.css.CSSValue
`getCssText, getCssValueType, setCssText`

Field Detail

### SVG_COLORTYPE_UNKNOWN

    public static final short SVG_COLORTYPE_UNKNOWN

### SVG_COLORTYPE_RGBCOLOR

    public static final short SVG_COLORTYPE_RGBCOLOR

### SVG_COLORTYPE_RGBCOLOR_ICCCOLOR

    public static final short SVG_COLORTYPE_RGBCOLOR_ICCCOLOR

### SVG_COLORTYPE_CURRENTCOLOR

    public static final short SVG_COLORTYPE_CURRENTCOLOR

Method Detail

### getColorType

    public short getColorType()

### getRGBColor

    public RGBColor getRGBColor()

### getICCColor

    public SVGICCColor getICCColor()

### setRGBColor

    public void setRGBColor(java.lang.String rgbColor)
                     throws SVGException

### setRGBColorICCColor

    public void setRGBColorICCColor(java.lang.String rgbColor,
                                    java.lang.String iccColor)
                             throws SVGException

### setColor

    public void setColor(short colorType,
                         java.lang.String rgbColor,
                         java.lang.String iccColor)
                  throws SVGException

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD